LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XGridRowSelection Interface Referencepublished

This interfaces provides access to the selection of row for UnoControlGrid. More...

`import"XGridRowSelection.idl";`

Inheritance diagram for XGridRowSelection:

## Public Member Functions
void | selectAllRows ()
| Selects all rows. More...
void | selectRow ([in] long RowIndex) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| selects a given row More...
void | deselectAllRows ()
| Deselects all selected rows. More...
void | deselectRow ([in] long RowIndex) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| removes the selection for a given row More...
sequence< long > | getSelectedRows ()
| Returns the indices of all selected rows. More...
boolean | hasSelectedRows ()
| Returns whether rows are selected. More...
boolean | isRowSelected ([in] long RowIndex)
| Returns whether a specific row is selected. More...
void | addSelectionListener ([in] XGridSelectionListener listener)
| Adds a listener for the GridSelectionEvent posted after the grid changes. More...
void | removeSelectionListener ([in] XGridSelectionListener listener)
| Removes a listener previously added with addSelectionListener(). More...

## Detailed Description

This interfaces provides access to the selection of row for UnoControlGrid.

Since
  LibreOffice 3.4

## Member Function Documentation

## ◆ addSelectionListener()

void addSelectionListener | ( | [in] XGridSelectionListener | listener | ) |

Adds a listener for the GridSelectionEvent posted after the grid changes.

Parameters

  listener | the listener to add.

## ◆ deselectAllRows()

void deselectAllRows | ( |  | ) |

Deselects all selected rows.

## ◆ deselectRow()

void deselectRow | ( | [in] long | RowIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

removes the selection for a given row

Parameters

  RowIndex | denotes the index of the row to deselect

## ◆ getSelectedRows()

sequence< long > getSelectedRows | ( |  | ) |

Returns the indices of all selected rows.

Returns
  a sequence of indices.

## ◆ hasSelectedRows()

boolean hasSelectedRows | ( |  | ) |

Returns whether rows are selected.

Returns
  `TRUE` if and only if at least one row is selected.

## ◆ isRowSelected()

boolean isRowSelected | ( | [in] long | RowIndex | ) |

Returns whether a specific row is selected.

Parameters

  RowIndex | the index of a row. If the value does not denote a valid row index, i.e. is smaller than `0` or greater than the number of rows, this is silently ignored, and `FALSE` is returned.

Returns
  `TRUE` if and only if there is a row with the given index, and it is selected currently.

## ◆ removeSelectionListener()

void removeSelectionListener | ( | [in] XGridSelectionListener | listener | ) |

Removes a listener previously added with addSelectionListener().

Parameters

  listener | the listener to remove.

## ◆ selectAllRows()

void selectAllRows | ( |  | ) |

Selects all rows.

## ◆ selectRow()

void selectRow | ( | [in] long | RowIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

selects a given row

Parameters

  RowIndex | denotes the index of the row to select

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if `RowIndex` does not denote a valid row index

The documentation for this interface was generated from the following file:

- com/sun/star/awt/grid/XGridRowSelection.idl